# Window Create

- Position
- View

### x, y

Set (in pixels) the window position (the top left corner). x, y can be negative (meaning that the window top left corner is outside the visible screen), but must be in the range [-screen, +screen], otherwise an error is shown.

    Example: <window ... x="10" y="10"/> (default)
    (defined in GAMGI_GTK_WINDOW_ORIGIN_X and GAMGI_GTK_WINDOW_ORIGIN_Y)
    Allowed values: -screen_width < x < screen_width,
    -screen_height < y < screen_height (optional, coupled)

### width, height

Set (in pixels) the window dimensions. width, height must be between the minimum window dimensions and two times the screen size, otherwise an error is shown.

    Example: <window ... width="750" height="550"/> (default)
    (defined in GAMGI_GTK_WINDOW_WIDTH and GAMGI_GTK_WINDOW_HEIGHT)
    Allowed values: GAMGI_GTK_WINDOW_WIDTH_MIN < x < 2 * screen_width,
    GAMGI_GTK_WINDOW_HEIGHT_MIN < y < 2 * screen_height (optional, coupled)

Home